# TargetProductSchema

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**BaseType** | Pointer to **string** | When sub-classing, this defines the super-class | [optional] 
**SchemaLocation** | **string** | This field provides a link to the schema describing the target product | 
**Type** | **string** | Class type of the target product | 

## Methods

### NewTargetProductSchema

`func NewTargetProductSchema(schemaLocation string, type_ string, ) *TargetProductSchema`

NewTargetProductSchema instantiates a new TargetProductSchema object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewTargetProductSchemaWithDefaults

`func NewTargetProductSchemaWithDefaults() *TargetProductSchema`

NewTargetProductSchemaWithDefaults instantiates a new TargetProductSchema object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetBaseType

`func (o *TargetProductSchema) GetBaseType() string`

GetBaseType returns the BaseType field if non-nil, zero value otherwise.

### GetBaseTypeOk

`func (o *TargetProductSchema) GetBaseTypeOk() (*string, bool)`

GetBaseTypeOk returns a tuple with the BaseType field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetBaseType

`func (o *TargetProductSchema) SetBaseType(v string)`

SetBaseType sets BaseType field to given value.

### HasBaseType

`func (o *TargetProductSchema) HasBaseType() bool`

HasBaseType returns a boolean if a field has been set.

### GetSchemaLocation

`func (o *TargetProductSchema) GetSchemaLocation() string`

GetSchemaLocation returns the SchemaLocation field if non-nil, zero value otherwise.

### GetSchemaLocationOk

`func (o *TargetProductSchema) GetSchemaLocationOk() (*string, bool)`

GetSchemaLocationOk returns a tuple with the SchemaLocation field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetSchemaLocation

`func (o *TargetProductSchema) SetSchemaLocation(v string)`

SetSchemaLocation sets SchemaLocation field to given value.


### GetType

`func (o *TargetProductSchema) GetType() string`

GetType returns the Type field if non-nil, zero value otherwise.

### GetTypeOk

`func (o *TargetProductSchema) GetTypeOk() (*string, bool)`

GetTypeOk returns a tuple with the Type field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetType

`func (o *TargetProductSchema) SetType(v string)`

SetType sets Type field to given value.



[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


